summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2016-01-07 08:51:57 +0000
committerPatrice Clement <monsieurp@gentoo.org>2016-01-07 08:51:57 +0000
commit1c3d923b7e6ca65d772307e7e0c7c9252eaa1a98 (patch)
treed8bc789f1cb5672afdca7fe4a4ef7bbcd6027315
parentMerge remote-tracking branch 'github/pr/603'. (diff)
parentdev-cpp/yaml-cpp: Bump to version 0.5.2. Adjust SRC_URI and S to match tarball. (diff)
downloadgentoo-1c3d923b7e6ca65d772307e7e0c7c9252eaa1a98.tar.gz
gentoo-1c3d923b7e6ca65d772307e7e0c7c9252eaa1a98.tar.bz2
gentoo-1c3d923b7e6ca65d772307e7e0c7c9252eaa1a98.zip
Merge remote-tracking branch 'github/pr/550'.
-rw-r--r--dev-cpp/yaml-cpp/Manifest1
-rw-r--r--dev-cpp/yaml-cpp/yaml-cpp-0.5.2.ebuild36
2 files changed, 37 insertions, 0 deletions
diff --git a/dev-cpp/yaml-cpp/Manifest b/dev-cpp/yaml-cpp/Manifest
index 8b5a1bed587..2c3fd1187f8 100644
--- a/dev-cpp/yaml-cpp/Manifest
+++ b/dev-cpp/yaml-cpp/Manifest
@@ -1,2 +1,3 @@
+DIST release-0.5.2.tar.gz 2015873 SHA256 6fb92f6f5925e0af918ffbb90acf19b7b88706ebcd40fc186b7caa76609b6350 SHA512 61e4d45f412193bd21f60ae0a225486e99e3205d10df9ad917f906b3d1e9c75ac13e2416d722452d5ecc940f217a536dd9ea128dc33b0f052ddc05d022342621 WHIRLPOOL 67c72e21d051c3538a5abe2b9a7a7e83d86997a78b7045c1b0b718873e9335a22f709700177affe2100fbabe57e3e81fc742be0127379000c198292413749d44
DIST yaml-cpp-0.3.0.tar.gz 82674 SHA256 2cd038b5a1583b6745e949e196fba525f6d0d5fd340566585fde24fc7e117b82 SHA512 1db7ef9ab717cf3185494dd40872d53948822bf0bb7a8039f5ccade77f29a7c1f37671627404d33f3213654d8e0582e6eaad139fd51f455a0d4d779bf467f43d WHIRLPOOL 106c5a3eda627651c49e1bcf9f22345fcaaaeb85efac4de7b7d103b0d2924ccb3c093dcd6ac03ccad7325d1f3faffc3165288e62bfa913eca21bfcb4eb3b26b9
DIST yaml-cpp-0.5.1.tar.gz 118244 SHA256 3e7c9052b43d987d41819a203d97fc45de4eed3ec67e0fdb14265c3d11046f06 SHA512 3c6928684d603815c016d663af36be94507f2cccf167d6d8d7cd7dea3ea5f73ec88d62952a2b5d11796e40132857afcbbacd9eafd688f2dc11d0c339caf2e013 WHIRLPOOL 43c1998584fb8cc8b0954a1eba39aaffff18be074c5f1c84ac60df89adc84717007d8f6e67978da2e4f235365d820d7b2809f19eb3c67263ff936f44a9438546
diff --git a/dev-cpp/yaml-cpp/yaml-cpp-0.5.2.ebuild b/dev-cpp/yaml-cpp/yaml-cpp-0.5.2.ebuild
new file mode 100644
index 00000000000..d2db62f7bdf
--- /dev/null
+++ b/dev-cpp/yaml-cpp/yaml-cpp-0.5.2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit cmake-utils
+
+DESCRIPTION="A YAML parser and emitter in C++"
+HOMEPAGE="https://github.com/jbeder/yaml-cpp"
+SRC_URI="https://github.com/jbeder/${PN}/archive/release-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+DEPEND=">=dev-libs/boost-1.49.0-r2"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN}-release-${PV}"
+
+src_prepare() {
+ sed -i \
+ -e 's:INCLUDE_INSTALL_ROOT_DIR:INCLUDE_INSTALL_DIR:g' \
+ yaml-cpp.pc.cmake || die
+
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_SHARED_LIBS=ON
+ )
+ cmake-utils_src_configure
+}